#include "car.h"

Car::Car()
{
    xpos = 10;
    ypos = 100;
    speed = 3;
    c = Qt::blue;
}

Car::Car(QColor _c, int _xpos, int _ypos, int _speed)
{
    c = _c;
    xpos = _xpos;
    ypos = _ypos;
    speed = _speed;
}

void Car::drive()
{
    xpos = xpos + speed;
    if (xpos > 400) xpos = 0;
}

void Car::draw(QPainter &p)
{
    p.setPen(QPen(c, 2));
    p.drawRect(xpos, ypos, 20, 10);
}
